Index: /trunk/i18n/English.ts
===================================================================
--- /trunk/i18n/English.ts	(revision 26)
+++ /trunk/i18n/English.ts	(revision 27)
@@ -345,134 +391,135 @@
     <name>SettingsDialog</name>
     <message>
+        <location filename="../ui/settingsdialog.ui" line="41"/>
+        <source>background-color: #0080C0</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="235"/>
+        <source>Print settings:</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="249"/>
+        <source>&amp;Left margin:</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="262"/>
+        <source>Left border margin for page</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="329"/>
+        <source>Restore main window state and position on application restart</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="332"/>
+        <source>Save main window state and position</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ui" line="403"/>
+        <source>Hover mouse pointer over dialog elements to get additional help</source>
+        <translation></translation>
+    </message>
+    <message>
         <location filename="../ui/settingsdialog.ce.ui" line="14"/>
         <location filename="../ui/settingsdialog.ui" line="14"/>
-        <source>Параметры</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="41"/>
-        <source>background-color: #0080C0</source>
-        <translation type="unfinished"></translation>
+        <source>Preferences</source>
+        <translation></translation>
     </message>
     <message>
         <location filename="../ui/settingsdialog.ce.ui" line="100"/>
         <location filename="../ui/settingsdialog.ui" line="151"/>
-        <source>Случайные значения:</source>
-        <translation type="unfinished"></translation>
+        <source>Random values:</source>
+        <translation></translation>
     </message>
     <message>
         <location filename="../ui/settingsdialog.ce.ui" line="114"/>
         <location filename="../ui/settingsdialog.ui" line="165"/>
-        <source>Ми&amp;нимум:</source>
-        <translation type="unfinished"></translation>
+        <source>&amp;Minimal:</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="127"/>
+        <location filename="../ui/settingsdialog.ui" line="178"/>
+        <source>Minimum for random number generation</source>
+        <translation></translation>
     </message>
     <message>
         <location filename="../ui/settingsdialog.ce.ui" line="150"/>
         <location filename="../ui/settingsdialog.ui" line="201"/>
-        <source>&amp;Максимум:</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="235"/>
-        <source>Настройки печати:</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="243"/>
-        <source>&amp;Левый отступ:</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="205"/>
-        <location filename="../ui/settingsdialog.ui" line="280"/>
-        <source>&amp;Шрифт...</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="302"/>
-        <source>Сохранять состояние и положение главного окна</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="353"/>
-        <location filename="../ui/settingsdialog.ui" line="395"/>
-        <source>&amp;OK</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="373"/>
-        <location filename="../ui/settingsdialog.ui" line="415"/>
-        <source>&amp;Отмена</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="320"/>
-        <location filename="../ui/settingsdialog.ui" line="350"/>
-        <source>Помощь</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="317"/>
-        <location filename="../ui/settingsdialog.ui" line="347"/>
-        <source>Получить помощь по настройкам</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="127"/>
-        <location filename="../ui/settingsdialog.ui" line="178"/>
-        <source>Нижняя граница для генерации случайных значений</source>
-        <translation type="unfinished"></translation>
+        <source>Ma&amp;ximal:</source>
+        <translation></translation>
     </message>
     <message>
         <location filename="../ui/settingsdialog.ce.ui" line="163"/>
         <location filename="../ui/settingsdialog.ui" line="214"/>
-        <source>Верхняя граница для генерации случайных значений</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="256"/>
-        <source>Размер отступа от левого края страницы</source>
-        <translation type="unfinished"></translation>
+        <source>Maximum for random number generation</source>
+        <translation></translation>
     </message>
     <message>
         <location filename="../ui/settingsdialog.ce.ui" line="202"/>
-        <location filename="../ui/settingsdialog.ui" line="277"/>
-        <source>Задать параметры шрифта, используемого при печати</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="252"/>
-        <source>Сохранять состояние и
-положение главного окна</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="314"/>
-        <location filename="../ui/settingsdialog.ui" line="344"/>
-        <source>Справка</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="350"/>
-        <location filename="../ui/settingsdialog.ui" line="392"/>
-        <source>Сохранить новые параметры</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="370"/>
-        <location filename="../ui/settingsdialog.ui" line="412"/>
-        <source>Закрыть окно без сохранения параметров</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ce.ui" line="249"/>
-        <location filename="../ui/settingsdialog.ui" line="299"/>
-        <source>Восстанавливать состояние и размеры окна после перезапуска программы</source>
-        <translation type="unfinished"></translation>
-    </message>
-    <message>
-        <location filename="../ui/settingsdialog.ui" line="370"/>
-        <source>Наведите указатель мыши на элемент диалога, чтоб получить подсказку</source>
-        <translation type="unfinished"></translation>
+        <location filename="../ui/settingsdialog.ui" line="288"/>
+        <source>Font color for printing</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="205"/>
+        <location filename="../ui/settingsdialog.ui" line="291"/>
+        <source>&amp;Color...</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="219"/>
+        <location filename="../ui/settingsdialog.ui" line="305"/>
+        <source>Font face for printing</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="222"/>
+        <location filename="../ui/settingsdialog.ui" line="308"/>
+        <source>&amp;Font...</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="287"/>
+        <location filename="../ui/settingsdialog.ce.ui" line="293"/>
+        <location filename="../ui/settingsdialog.ui" line="377"/>
+        <location filename="../ui/settingsdialog.ui" line="383"/>
+        <source>Help</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="290"/>
+        <location filename="../ui/settingsdialog.ui" line="380"/>
+        <source>Get preferences help</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="323"/>
+        <location filename="../ui/settingsdialog.ui" line="425"/>
+        <source>Save new preferences</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="326"/>
+        <location filename="../ui/settingsdialog.ui" line="428"/>
+        <source>&amp;OK</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="343"/>
+        <location filename="../ui/settingsdialog.ui" line="445"/>
+        <source>Close without saving preferences</source>
+        <translation></translation>
+    </message>
+    <message>
+        <location filename="../ui/settingsdialog.ce.ui" line="346"/>
+        <location filename="../ui/settingsdialog.ui" line="448"/>
+        <source>&amp;Cancel</source>
+        <translation></translation>
     </message>
 </context>
